# Interface methods for submodule: PDEDeformableRegistrationFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DenseFiniteDifferenceImageFilterProxy as _DenseFiniteDifferenceImageFilterProxy


# Interface methods for class: PDEDeformableRegistrationFilter
class PDEDeformableRegistrationFilterProxy(_DenseFiniteDifferenceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFixedImage(self, _arg) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, _arg) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetInitialDisplacementField(self, _arg) -> None:
		""""""
		...

	def GetInitialDisplacementField(self):
		""""""
		...

	def GetDisplacementField(self):
		""""""
		...

	def GetNumberOfValidRequiredInputs(self) -> int:
		""""""
		...

	def SetSmoothDisplacementField(self, _arg: bool) -> None:
		""""""
		...

	def GetSmoothDisplacementField(self) -> bool:
		""""""
		...

	def SmoothDisplacementFieldOn(self) -> None:
		""""""
		...

	def SmoothDisplacementFieldOff(self) -> None:
		""""""
		...

	@overload
	def SetStandardDeviations(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetStandardDeviations(self, value: float) -> None:
		""""""
		...

	def GetStandardDeviations(self) -> Sequence[float]:
		""""""
		...

	def SetSmoothUpdateField(self, _arg: bool) -> None:
		""""""
		...

	def GetSmoothUpdateField(self) -> bool:
		""""""
		...

	def SmoothUpdateFieldOn(self) -> None:
		""""""
		...

	def SmoothUpdateFieldOff(self) -> None:
		""""""
		...

	@overload
	def SetUpdateFieldStandardDeviations(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetUpdateFieldStandardDeviations(self, value: float) -> None:
		""""""
		...

	def GetUpdateFieldStandardDeviations(self) -> Sequence[float]:
		""""""
		...

	def StopRegistration(self) -> None:
		""""""
		...

	def SetMaximumError(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumError(self) -> float:
		""""""
		...

	def SetMaximumKernelWidth(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumKernelWidth(self) -> int:
		""""""
		...

